WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

Advanced PHP Protection

— Add- On om WorldWideScripts.net

Abonneer u op onze feed om de hoogte te blijven!

Nieuw! Volg ons als u het wilt!


Advanced PHP Protection - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting
Belangrijkste kenmerken:
  • Werkt met elke.php bestand.
  • Persoonlijke wachtwoord en brute kracht waarschuwing pagina's.
  • Goed gedocumenteerde functies.
  • Kan eenvoudig worden geïntegreerd in een database opgezet met meerdere gebruikers.
  • Single line modus, beschermen elke pagina door gewoon met inbegrip van het bestand.
  • Wachtwoorden kunnen worden ingesteld als ofwel een md5 van SHA1 hash of platte tekst als u verkiest.
  • Server side brute force protection, met opties om het maximale aantal pogingen en de duur blok veranderen.
  • Geen database of installatie vereist.
  • E-mail ondersteuning.
  • Licht van gewicht.

OPMERKING: De sessie wordt gebruikt om de gebruikersnaam en het wachtwoord op te slaan, zodat je niet hoeft te opnieuw in te loggen wanneer de pagina opnieuw wordt geladen. De variabelen $ _SESSION [â € ~usernameâ ™ €] en $ _SESSION [â € ~passwordâ € ™] worden standaard gebruikt, als je nodig hebt om deze te gebruiken in het script wordt beveiligd kunt u aangepaste namen met behulp van de custom_session_keys set () functie Raadpleeg de documentatie voor meer informatie.



Bijvoorbeeld Usage:
Standard Mode

 include ('veilige / security.class.inc.php'); $ Pas = nieuwe beveiligde; // Stel de gebruikersnaam en het wachtwoord, in dit geval als een SHA1 hash $ Wachtwoord> set_credentials ('admin', '5baa61e4c9b93f3f0682250b6cf8331b7ee68fd8'); // Zet de soort hash $ Wachtwoord> set_hash_type ('sha1'); // Aantal aangepaste sessie sleutels ingesteld $ Wachtwoord> custom_session_keys ('naam', 'voldoende'); // Brute force protection, gehandicapte als standaard in te schakelen. $ Wachtwoord> brute_force_protect (); // Een aangepaste pagina instellen voor de gebruiker om te worden verzonden naar of het wachtwoord is onjuist ingevoerd. $ Wachtwoord> redirect_on_fail ('http://yourdomain.com/denied.html'); // Eindelijk bescherming van toepassing op de pagina. $ Wachtwoord> beschermen (); echo 'beveiligde inhoud hier.'; 


Single Line Mode

 include ('veilige / security.class.inc.php'); echo 'beveiligde inhoud hier.' 


Documentatie: http://jacekk.co.uk/code/page_protect/README.html

Voorbeeld van de login-pagina opgenomen
http://jacekk.co.uk/code/page_protect/example.php
Gebruikersnaam: admin
Wachtwoord: citroen


OPMERKING: dit script werkt alleen als je PHP-versie hoger dan 5.1. Ik heb een paar e-mails van mensen klagen van een lege pagina die werden met behulp van PHP4 gehad. U kunt de versie controleren of u met behulp van de volgende code.
 <? Php echo phpversion (); ?> 

Ik dona € ™ t wil iedereen om hun geld te verspillen.

Ondersteuning
Als er problemen zijn met dit punt, de beste plaats om te vragen is in het forum als ik controleren of ten minste eenmaal per dag.
http://betterphp.co.uk/board/viewforum.php?f=29

Downloaden
Andere onderdelen in deze categorieAlle onderdelen van deze auteur
OpmerkingenVeelgestelde vragen en antwoorden

Eigenschappen

Gemaakt:
april 27 10

Laatste update:
N / A

compatibele browsers:
IE6, IE7, IE8, Firefox, Safari, Opera, Chrome 4, Chrome 5

Files Inbegrepen:
JavaScript JS, HTML, CSS, PHP, Software Version

Trefwoorden

eCommerce, Alle artikelen, auth, authenticatie, brute, kracht, wachtwoord, preventie, bescherming, script, veilig